# Interface DOMRectCached

Cached information from a `DOMRect`.

interface DOMRectCached {
document: { scrollLeft: number; scrollTop: number };
lastRefreshInMs: number;
scrollLeft: number;
scrollTop: number;
refresh(): void;
}

#### Hierarchy

- DeepImmutable<DOMRect>
  - DOMRectCached

#### Implemented by

- BoundingClientRectCacheElement

##### Index

### Properties

document
lastRefreshInMs
scrollLeft
scrollTop

### Methods

refresh

## Properties

### `Readonly` document

document: { scrollLeft: number; scrollTop: number }

### `Readonly` lastRefreshInMs

lastRefreshInMs: number

Last time, in ms, refresh was called.

### `Readonly` scrollLeft

scrollLeft: number

Same as `HTMLElement.scrollLeft`

### `Readonly` scrollTop

scrollTop: number

Same as `HTMLElement.scrollTop`

## Methods

### refresh

- refresh(): void

  Refreshes cached client rect information (by calling wrapped `HTMElement.getBoundingClientRect()`). Updates lastRefreshInMs when called.

  #### Returns void